﻿using System;
using System.Windows.Forms;

namespace infragistics_memory_test
{
    public partial class UltraTreeForm : Form
    {
        private readonly TreeNodeFormatter _treeNodeFormatter = new TreeNodeFormatter();

        public UltraTreeForm()
        {
            InitializeComponent();
        }

        private void buttonAddNodes_Click(object sender, EventArgs e)
        {
            ultraTree1.BeginUpdate();
            var rdxNodeColumnsDefinition = _treeNodeFormatter.Format(ultraTree1);
            var treeNodeBuilder = new TreeNodeBuilder();
            treeNodeBuilder.BuildTreeNode(ultraTree1, rdxNodeColumnsDefinition);
            ultraTree1.EndUpdate();
        }

        private void buttonClear_Click(object sender, EventArgs e)
        {
            ultraTree1.Nodes.Clear();
        }

        private void buttonExpand_Click(object sender, EventArgs e)
        {
            ultraTree1.ExpandAll();
        }
    }
}
